Vulnerability CVE-2014-5419


Published: 2015-01-16   Modified: 2015-01-17

Description:
GE Multilink ML800, ML1200, ML1600, and ML2400 switches with firmware 4.2.1 and earlier and Multilink ML810, ML3000, and ML3100 switches with firmware 5.2.0 and earlier use the same RSA private key across different customers' installations, which makes it easier for remote attackers to obtain the cleartext content of network traffic by reading this key from a firmware image and then sniffing the network.

Type:

CWE-310

(Cryptographic Issues)

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:N/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
5/10
2.9/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
None
None
Affected software
GE -> Multilink ml1200 
GE -> Multilink ml1600 
GE -> Multilink ml2400 
GE -> Multilink ml3000 
GE -> Multilink ml3100 
GE -> Multilink ml800 
GE -> Multilink ml810 
GE -> Multilink ml1200 firmware 
GE -> Multilink ml1600 firmware 
GE -> Multilink ml2400 firmware 
GE -> Multilink ml3000 firmware 
GE -> Multilink ml3100 firmware 
GE -> Multilink ml800 firmware 
GE -> Multilink ml810 firmware 

 References:
https://ics-cert.us-cert.gov/advisories/ICSA-15-013-04
http://www.gedigitalenergy.com/products/support/multilink/MLSB1214.pdf

Copyright 2020, cxsecurity.com

 

Back to Top